CNA Course - Browser does not meet minimum requirements Follow

bmr.jpg

 

Have you been met with this screen when taking the CNA modules that advises that your browser is insufficient?

 

Unfortunately this course was configured in a way that it will not operate on Google Chrome or Safari browsers.

 

The author has been advised of this and in the meantime we recommend selecting a different browser, Either Internet Explorer or Mozilla Firefox.

 

You can download Firefox from http://www.mozilla.org/en-US/firefox/new/

Still unsure? Contact us here.